在Ubuntu 10.10上安装rabbitMQ服务器时出错

当我通过以下命令在synaptic中安装rabbitMQ时

sudo apt-get install rabbitmq-server

它返回一个错误:

Starting rabbitmq-server: FAILED - check /var/log/rabbitmq/startup_log, _err
rabbitmq-server.
invoke-rc.d: initscript rabbitmq-server, action "start" failed.
dpkg: error processing rabbitmq-server (--configure):
 subprocess installed post-installation script returned error exit status 1
Errors were encountered while processing:
 rabbitmq-server
E: Sub-process /usr/bin/dpkg returned an error code (1)

转到日志,它说如下:

Error: {cannot_connect_to_epmd,"herman-desktop",address}

我的/ etc / hosts定义如下:

127.0.0.1 localhost.localdomain localhost
::1 herman-desktop localhost6.localdomain6 localhost6
127.0.1.1 herman-desktop

我需要做些什么来解决这个问题?

最佳答案
你在/ etc / hosts中配置了“herman-desktop”到ipv6中的localhost地址,因为rabbitmq正在运行ipv4,它将无法连接,编辑/ etc / hosts并添加herman-desktop(你的机器名)我想)到127.0.0.1的行(ipv4上的localhost)

除非你的机器上配置了127.0.1.1,否则它看起来像我的类型:)

转载注明原文:在Ubuntu 10.10上安装rabbitMQ服务器时出错 - 代码日志